ONVIF::PTZ::Types::PTZPreset(3)

NAME
ONVIF::PTZ::Types::PTZPreset

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZPreset from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Name

•   PTZPosition

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::PTZPreset
   Name => $some_value, # Name
   PTZPosition =>  { # ONVIF::PTZ::Types::PTZVector
     PanTilt => ,
     Zoom => ,
   },
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::PTZ::Types::PTZPreset::_PTZPreset::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   token

    This attribute is of type ONVIF::PTZ::Types::ReferenceToken.

AUTHOR
Generated by SOAP::WSDL